/**
 * @file dogm-data.h
 * libdogm
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; version 2 of the License.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * @author JORDACIJEVIC Serz <serz@jordacijevic.name>
 * @date 2008/05/19
 *
 * @version $Revision: 1.0$
 *
 * @todo Nothing to do. - Everything perfect! ;-)
 *
 * URL: $HeadURL: http://serz.jordacijevic.name/?mmenu=project&smenu=libdogm$
 *
 * Last Modified: $Author: Jordacijevic Serz$
 */

#ifndef _DOGM_DATA_H_

/*
 * -------------------------------------------------------------- includes --
 */

/*
 * --------------------------------------------------------------- defines --
 */

#define _DOGM_DATA_H_

/*
 * -------------------------------------------------------------- typedefs --
 */

/*
 * --------------------------------------------------------------- globals --
 */

/*
 * ------------------------------------------------------------- functions --
 */

void dogm_data_char(char c);
void dogm_data_char_xy(uint8_t x, uint8_t y, char c);
void dogm_data_int(int i);
void dogm_data_int_xy(uint8_t x, uint8_t y, int i);
void dogm_data_uint(unsigned int ui);
void dogm_data_uint_xy(uint8_t x, uint8_t y, unsigned int ui);
void dogm_data_long(long l);
void dogm_data_long_xy(uint8_t x, uint8_t y, long l);
void dogm_data_ulong(unsigned long ul);
void dogm_data_ulong_xy(uint8_t x, uint8_t y, unsigned long ul);
void dogm_data_string(char *s);
void dogm_data_string_xy(uint8_t x, uint8_t y, char *s);

#endif // _DOGM_DATA_H_

